package com.hh.arome.services.omc.lifecycle;


import androidx.annotation.NonNull;

/**
 * Created by L470 on 2020/7/20.
 */
public class ActivityFragmentLifeCycle {

    private LifeCycleListener lifeCycleListener;

    public void addListener(@NonNull LifeCycleListener listener){
        this.lifeCycleListener = listener;
    }


    void onPause(){
        if(lifeCycleListener!=null){
            lifeCycleListener.onPause();
        }
    }

    void onStop(){
        if(lifeCycleListener!=null){
            lifeCycleListener.onStop();
        }
    }

    void onDestroy(){
        if(lifeCycleListener!=null){
            lifeCycleListener.onDestroy();
        }
    }

}
